<div class="d-none" {{did-insert this.setup}}></div>

{{#if this.galleryTarget}}
  {{#in-element this.galleryTarget}}
    <div class="page-col-gallery page-col-gallery-modal d-flex flex-column
      {{if this.isGalleryPresentable 'presentable'}}
      {{if this.isGalleryPresenting 'presenting'}}" {{on "transitionend" this.checkHideGallery}}>
      <div class="gallery-header p-2 mb-2 d-flex">
        <button type="button" class="btn btn-light btn-close-modal" {{on "click" this.prepareHideGallery}}>
          <FaIcon @icon="times" />
        </button>
        <div class="title p-2 flex-fill">
          {{@title}}
        </div>
      </div>

      <div class="flex-fill scrollable">
        <div class="large-picture-list container d-flex align-items-center flex-wrap justify-content-center">
          {{#each @value as |picture|}}
            <PictureWithOptions class="page-col-picture cursor-pointer" @name={{picture.name}}
              @meta={{picture.meta}} @src={{picture.picture}} @hash={{picture.hash}}
              @options={{this.largePictureValues}} @onClick={{fn this.select picture}} />
          {{/each}}
        </div>
      </div>
    </div>
  {{/in-element}}
{{/if}}